package org.xyzh.common.core.entity;

import java.sql.Date;
import java.io.Serializable;
/**
 * @description    BaseEntity.java文件描述 基础实体类
 * @filename    BaseEntity.java
 * @author    yslg
 * @copyright xyzh
 * @since 2025-09-07
 */
public class BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * @description  id 主键
     * @author    yslg
     * @since 2025-09-07
     */
    private String id;

    /**
     * @description    创建时间
     * @author    yslg
     * @since 2025-09-07
     */
    private Date createTime;

    /**
     * @description    更新时间
     * @author    yslg
     * @since 2025-09-07
     */
    private Date updateTime;

    /**
     * @description    删除时间
     * @author    yslg
     * @since 2025-09-07
     */
    private Date deleteTime;

    /**
     * @description    是否删除 0：未删除 1：已删除
     * @author    yslg
     * @since 2025-09-07
     */
    private Integer isDeleted;

    /**
     * @description    版本号
     * @author    yslg
     * @since 2025-09-07
     */
    private Integer version;

    
    /**
     * @description    备注
     * @author    yslg
     * @since 2025-09-07
     */
    private String remark;


    public String getId() {
        return id;
    }


    public void setId(String id) {
        this.id = id;
    }


    public Date getCreateTime() {
        return createTime;
    }


    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }


    public Date getUpdateTime() {
        return updateTime;
    }


    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }


    public Date getDeleteTime() {
        return deleteTime;
    }


    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }


    public Integer getIsDeleted() {
        return isDeleted;
    }


    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }


    public Integer getVersion() {
        return version;
    }


    public void setVersion(Integer version) {
        this.version = version;
    }


    public String getRemark() {
        return remark;
    }


    public void setRemark(String remark) {
        this.remark = remark;
    }

    

}
